<?php
/* This file contains the form for Edit Event with dropdown selection for Location */
if( !@$EM_Location ) {
	$EM_Location = $EM_Event->get_location();
}
?>

<div id="em-location-data" class="em-location-data">
<span style="display:none;">
	<input id="location-id" name="location_id" type="text" value="<?php echo esc_attr($EM_Location->location_id); ?>" readonly size="3">
	<input id='location-latitude' name='location_latitude' type='text' value='<?php echo esc_attr($EM_Location->location_latitude); ?>' readonly>
	<input id='location-longitude' name='location_longitude' type='text' value='<?php echo esc_attr($EM_Location->location_longitude); ?>' readonly>
</span>
<table class="em-location-data">
	<tr class="em-location-data-select">
		<th><?php esc_html_e('Location:','events-manager') ?> </th>
		<td>
			<select name="location_id" id='location-select-id' size="1">
			<?php
			if(!get_option('dbem_require_location',true)) {
				?><option value="0" title="0,0"><?php esc_html_e('No Location','events-manager'); ?></option><?php ;
			}
			else {
				?><option value="" title="0,0" disabled="disabled">-- <?php esc_html_e('Select'); ?> --</option><?php ;
			}
			$ddm_args 			= array('private'=>$EM_Event->can_manage('read_private_locations'));
			$ddm_args['owner'] 	= (is_user_logged_in() && !current_user_can('read_others_locations')) ? get_current_user_id() : false;
			$EM_Locations 		= EM_Locations::get($ddm_args);
			$saved = (!empty($EM_Event->location_id) || !empty($EM_Event->event_id)) ? $EM_Event->location_id : get_option('dbem_default_location');
			foreach( $EM_Locations as $EM_Location ) {
				$value 		= esc_attr($EM_Location->location_id);
				$latitude	= esc_attr($EM_Location->location_latitude);
				$longitude	= esc_attr($EM_Location->location_longitude);
				$name 		= esc_html($EM_Location->location_name);
				$selected 	= ($value === $saved ) ? "selected='selected'" : "";
				echo "<option value='{$value}' title='{$latitude},{$longitude}' {$selected}>{$name}</option>";
			}
			?>
			</select>
		</td>
	</tr>
	<tr>
		<th><br><?php echo __('Map:', 'stonehenge-em-osm'); ?></th>
		<td><br><?php echo Stonehenge_EM_OSM_Maps::output_single_admin_map($EM_Location); ?>
		</td>
	</tr>
</table>